/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * Created by Timo Hocker <timo@scode.ovh>, March 2020
 */

/* eslint-disable no-magic-numbers */
// @ts-nocheck
'use strict';

const test = require ('ava');
const util = require ('../index');

test ('truncate_decimal', (t) => {
  const trunc = util.truncate_decimal (1.23456, 2);
  t.is (trunc, 1.23);
});

test ('try_parse_json should parse', (t) => {
  const str = '{"test":"foo"}';
  t.notThrows (() => {
    const json = util.try_parse_json (str);
    t.deepEqual (json, { test: 'foo' });
  });
});

test ('try_parse_json should fail', (t) => {
  const str = '{"test":foo"}';
  t.notThrows (() => {
    const json = util.try_parse_json (str);
    t.is (json, null);
  });
});

test ('copy object', (t) => {
  const obj = {foo:'bar'};
  const copy = util.copy_object(obj);
  copy.foo = 'baz';
  t.is(copy.foo, 'baz');
  t.is(obj.foo, 'bar');
});
